# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_2cq7wud7iy/clone/recipe, last modified Fri Jun 14 10:16:15 2024
# ------------------------------------------------

package:
  name: sqlalchemy
  version: 2.0.30
source:
  sha256: 2b1708916730f4830bc69d6f49d37f7698b5bd7530aca7f04f785f8849e95255
  url: https://pypi.io/packages/source/S/SQLAlchemy/SQLAlchemy-2.0.30.tar.gz
build:
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_2cq7wud7iy/croot/sqlalchemy_1718378182237/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py39h80987f9_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_1
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-tools 14.0.6 hfd8c8a6_3
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h18a0788_1
  host:
    - ca-certificates 2024.3.11 hca03da5_0
    - cython 3.0.10 py39h80987f9_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_1
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.13 h1a28f6b_2
    - pip 24.0 py39hca03da5_0
    - python 3.9.19 hb885b13_1
    - readline 8.2 h1a28f6b_0
    - setuptools 69.5.1 py39hca03da5_0
    - sqlite 3.45.3 h80987f9_0
    - tk 8.6.14 h6ba3021_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py39hca03da5_0
    - xz 5.4.6 h80987f9_1
    - zlib 1.2.13 h18a0788_1
  run:
    - greenlet !=0.4.17
    - python >=3.9,<3.10.0a0
    - typing-extensions >=4.6.0
test:
  commands:
    - pip check
  imports:
    - sqlalchemy
    - sqlalchemy.connectors
    - sqlalchemy.dialects
    - sqlalchemy.dialects.mssql
    - sqlalchemy.dialects.mysql
    - sqlalchemy.dialects.oracle
    - sqlalchemy.dialects.postgresql
    - sqlalchemy.dialects.sqlite
    - sqlalchemy.engine
    - sqlalchemy.event
    - sqlalchemy.ext
    - sqlalchemy.ext.asyncio
    - sqlalchemy.ext.declarative
    - sqlalchemy.orm
    - sqlalchemy.sql
    - sqlalchemy.testing
    - sqlalchemy.testing.plugin
    - sqlalchemy.util
  requires:
    - pip
about:
  description: 'SQLAlchemy is the Python SQL toolkit and Object Relational Mapper
    that

    gives application developers the full power and flexibility of SQL.

    '
  dev_url: https://github.com/sqlalchemy/sqlalchemy
  doc_url: https://docs.sqlalchemy.org/
  home: https://www.sqlalchemy.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Database Abstraction Library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2cdf3cad-605e-4b8f-8c47-bf99d7447266
  recipe-maintainers:
    - igortg
    - mcs07
    - nehaljwani
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/sqlalchemy-feedstock.git
  sha: c3018d1394bce2b708c1bc1402b7a3368eadf34e
